<!DOCTYPE html>

<html lang="en">

<head>
    <title>Client Management Registration</title>
    <link rel="stylesheet" href="../app/css/govuk-frontend.min.css" />
    <link rel="stylesheet" href="../app/css/sra.css" />
    <style></style>
</head>

<body class="govuk-template__body">

    {% from 'components/button/macro.njk' import govukButton %}
    {% from 'components/radios/macro.njk' import govukRadios %}

    <header class="govuk-header" data-module="govuk-header">
        <div class="govuk-header__container govuk-width-container">
            <div class="govuk-header__logo">
                <a href="/" class="govuk-header__link govuk-header__link--homepage">
                    <span class="govuk-header__logotype">
                        <span class="govuk-header__logotype-text">{{ t('common:banner') }}</span>
                    </span>
                </a>
            </div>
        </div>
    </header>

    <div class="govuk-width-container">
        <main class="govuk-main-wrapper" id="main-content">
            <h1>{{ t('welcome:header') }}<</h1>
            <br><br><br><br>
            <form id="select-form" method="post">
                {{ govukRadios({
                  name: "what",
                  value: "dth-access",
                  fieldset: {
                    legend: {
                      text:  t('welcome:what'),
                      isPageHeading: true,
                      classes: "govuk-fieldset__legend--l"
                    }
                  },
                  items: [
                    {
                      value: "dth-access",
                      text: t('welcome:approve-dth')
                    },
                    {
                      value: "one-login",
                      text: t('welcome:approve-one-login')
                    }
                  ]
                }) }}
                <div class="govuk-grid-row">
                    <div class="govuk-grid-column-two-thirds">
                        &nbsp;
                    </div>
                    <div class="govuk-grid-column-one-third">
                        <br><br><br><br><br><br><br><br>
                        <div class="govuk-button-group">
                            <span id="submit-button">
                                <button class="govuk-button" 
                                    id="btn-select" 
                                    type="button"
                                    style="margin-right: 0;
                                    margin-left:auto;
                                    display:block;"
                                >
                                    {{ t('common:continue') }}
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
                <div id="error-message" style="color:red; display:none;">Please select what</div>
            </form>
        </main>
    </div>
    <script>
        document.getElementById('btn-select').addEventListener('click', function () {
            const selectedOption = document.querySelector('input[name="what"]:checked');
            if (selectedOption) {
                const value = selectedOption.value;
                if (value === 'dth-access') {
                    window.location.href = 'dth-access?page=1';
                } else if (value === 'one-login') {
                    window.location.href = 'one-login?page=1';
                }
            } 
        });
    </script>
</body>

</html>